Add advice for UTF-8 issue on Travis CI #1941

Merged
merged 1 commit into from Mar 29, 2014

3 participants

@dlackty

Use ENV['TRAVIS'] to check if it's Travis CI environment.

WARNING: CocoaPods requires your terminal to be using UTF-8 encoding.
Consider adding the following settings to .travis.yml

before_script:
  - export LANG=en_US.UTF-8

This closes #1933

@dlackty dlackty assigned CocoaPodsBot and unassigned CocoaPodsBot Mar 29, 2014
@mtitolo
CocoaPods member

@dlackty Instead of if true, we should still check for the Ruby version and encoding.

@dlackty

@mtitolo Ahh. That was intended for testing. Now removed and fixed. Thanks! :octocat:

@mtitolo mtitolo merged commit 502f6b3 into CocoaPods:master Mar 29, 2014

1 check passed

Details default The Travis CI build passed
@CocoaPodsBot CocoaPodsBot was unassigned by dlackty Mar 30, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment